import initReplicationStateTable from './init-replication-state-table';

const setReplicationStatus = async (pool, {
  statusAndData,
  lastEvent,
  iterator
}) => {
  const {
    executeQuery,
    escapeId,
    escape
  } = pool;
  const replicationStateTableName = await initReplicationStateTable(pool);
  await executeQuery(`UPDATE ${escapeId(replicationStateTableName)} 
    SET
      "Status" = ${escape(statusAndData.status)},
      "StatusData" = ${statusAndData.data != null ? escape(JSON.stringify(statusAndData.data)) : 'NULL'}
      ${lastEvent != null ? `, "SuccessEvent" = ${escape(JSON.stringify(lastEvent))}` : ``}
      ${iterator !== undefined ? `, "Iterator" = ${iterator != null ? escape(JSON.stringify(iterator)) : 'NULL'}` : ``}`);
};

export default setReplicationStatus;
//# sourceMappingURL=set-replication-status.js.map